@import 'assets/variables.scss';

$section-width: 800px;

.modal {
  display: flex;
  padding: $cell * 4 $cell * 4;
  width: fit-content !important;
  max-height: 80%;
}

.loaderWrap {
  width: $section-width;
  height: 900px;
}

.inner {
  font-size: 1.2em;
  overflow: auto;
  max-height: 900px;
}

.section {
  width: $section-width;
  margin-right: $cell * 3;
}

.sectionHeader {
  margin-top: $cell * 3;
  margin-bottom: $cell * 2;
  border-bottom: 2px solid $primary;
  padding-bottom: $cell * 1.5;
  font-size: 1.6em;
}

.divider {
  width: 0; 
  height: 0; 
  border-top: 3px solid transparent;
  border-bottom: 3px solid transparent;
  
  border-left: $section-width solid $primary;

  margin: $cell * 2 0;
}

.name {
  margin-bottom: 0;
}

.subHeader {
  font-style: italic;
}

.keyVal {
  width: 100%;
  display: grid;
  grid-column-gap: $cell * 3;
  grid-row-gap: $cell;
  grid-template-columns: max-content 1fr;

  .field {
    font-weight: bold;
  }
  .val {
    text-transform: capitalize;
  }
}

.abilityScores {
  display: flex;
  width: fit-content;
  margin: $cell * 2 auto;
  margin-top: 0;

  .abilityScore {
    text-align: center;
    margin: 0 $cell * 4;

    .abbrev {
      text-transform: uppercase;
      font-weight: bold;
    }

    .score {

    }
  }
}

.specialAbilities {
  .ability {
    margin-bottom: $cell * 2;

    .abilityName {
      font-weight: bold;
      font-style: italic;
    }
  }
}

.legendaryText {
  margin-bottom: $cell * 2;
}